Subject: Re: [manet] I-D Action: draft-ietf-manet-dlep-08.txt

From: Rick Taylor <[email-masked]>
Date: Sun, 1 Mar 2015 11:23:49 +0000

Henning,

I think the major work was all in rewording ‘Optional Mandatory Optional MAY…” text into words that actually made some sense!

At the protocol level, it’s very close to draft-07, but we have made sure the rules are consistent everywhere and hopefully made it a bit easier to write a compliant implementation.

I haven’t uplifted my dlep_router implementation yet, and possibly won’t until after Dallas, but I don’t see it being a major job.

Cheers,

Rick

From: manet [mailto:[email-masked]] On Behalf Of Stan Ratliff
Sent: 01 March 2015 01:29
To: Henning Rogge
Cc: MANET IETF
Subject: Re: [manet] I-D Action: draft-ietf-manet-dlep-08.txt

Henning,

The major changes are
1. Introduction of the extensions registry, and the "Extensions Supported" TLV in the peer exchange (just a formalization of how we would support extensions to the protocol in the future).
2. The "Experimental Definition" TLV, which was my understanding of our on-list discussion about the Experimental TLV (both signal and data item space), and how they would be defined and used.

Past that, the other changes were editorial in nature - but were a HUGE lift and pain in the back-side for Rick (thanks to Rick for all the cross-referencing work).

Regards,
Stan

On Sat, Feb 28, 2015 at 3:37 PM, Henning Rogge <[email-masked]<mailto:[email-masked]>> wrote:
On Sat, Feb 28, 2015 at 9:32 PM, Stan Ratliff <[email-masked]<mailto:[email-masked]>> wrote:
> Henning,
>
> Good to hear. Have you had a chance to review? Any comments are appreciated.

I will read it completely next week... any major changes I should focus on?

Henning